#### Previous topic

scipy.interpolate.sproot

#### Next topic

scipy.interpolate.splder

# scipy.interpolate.spalde

`scipy.interpolate.``spalde`(x, tck)

  Evaluate all derivatives of a B-spline.

  Given the knots and coefficients of a cubic B-spline compute all derivatives up to order k at a point (or set of points).

  Parameters:

  x : array_like

  > A point or a set of points at which to evaluate the derivatives. Note that `t(k) <= x <= t(n-k+1)` must hold for each x.

  tck : tuple

  > A tuple `(t, c, k)`, containing the vector of knots, the B-spline coefficients, and the degree of the spline (see `splev`).

  Returns:

  results : {ndarray, list of ndarrays}

  > An array (or a list of arrays) containing all derivatives up to order k inclusive for each point x.

  See also

  `splprep`, `splrep`, `splint`, `sproot`, `splev`, `bisplrep`, `bisplev`, `BSpline`

  References

  [R75] | C. de Boor: On calculating with b-splines, J. Approximation Theory 6 (1972) 50-62.

  [R76] | M. G. Cox : The numerical evaluation of b-splines, J. Inst. Maths applics 10 (1972) 134-149.

  [R77] | P. Dierckx : Curve and surface fitting with splines, Monographs on Numerical Analysis, Oxford University Press, 1993.